Subject: Re: bug#35696: preview-latex does not work under any Emacs themes and bug#35571: 12.1; Changing foreground breaks previews

From: David Kastrup <[email-masked]>
Date: Tue, 28 May 2019 10:17:19 +0200

Ikumi Keita <[email-masked]> writes:

>>>>>> David Kastrup <[email-masked]> writes:
>> The current code is already a sledgehammer that looks like a "not again"
>> approach of evading yet another changed API.  Looking at the history of
>> the recommended replacements, I see that the Ghostscript developers
>> state that some of those were removed in some Ghostscript versions but
>> reinstated.
>
>> So it's conceivable that reverting the last change to these code lines
>> is all that it would take to work with current Ghostscript (at the price
>> of breaking _some_ older version).
>
>> Might be worth a try.
>
> Thanks for your advice, the attached patch works well.  The foreground
> color of the generated image matches with the default face of emacs
> without `preview-pdf-color-string', at least for gs 9.27 on my machine.
>
>> (at the price of breaking _some_ older version).
>
> I don't know which version of gs needs `preview-pdf-color-string'.
> Maybe we should not delete it and instead introduce a user option as a
> flag whether to disable the function or not.  What do others think?

Ah, that removes the functionality completely.  Since this patch sets up
a per-page hook, it would be my guess that this was supposed to guard
against cases where some images set up or leave their own page-wide
color (possibly just using \usepackage{color} is enough to cause
trouble).  Maybe it's the best we can do for now.  No idea.

-- 
David Kastrup